<?php

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );


global $mosConfig_absolute_path, $mosConfig_lang;
$modulname="mod_s4jprofilestatusindicator";
$subpath = "modules/".$modulname;


//Language definitions
if (file_exists($mosConfig_absolute_path."/".$subpath."/language/".$mosConfig_lang.".php")){ 
	include($mosConfig_absolute_path."/".$subpath."/language/".$mosConfig_lang.".php");
} else { 
	include($mosConfig_absolute_path."/".$subpath."/language/english.php");
}



if( $my->id ) {
	$db = $database;
	
	$cssfile = $params->get("cssfile", "default.css");
	
	echo '<link rel="stylesheet" type="text/css" media="all" href="'.$subpath.'/css/'.$cssfile.'" title="green" />';
	
	$sql = "SELECT name FROM #__comprofiler_fields WHERE published=1 AND sys=0 AND pluginid IS NULL AND profile = 1";
	
	$db->setQuery( $sql );
	$rows = $db->loadObjectList();
	
	$sql = "SELECT * FROM #__comprofiler WHERE user_id=$my->id";
	$row = null;
	$db->setQuery( $sql );			
	$db->loadObject( $user );
	
	$totalcount = 0;
	$count = 0;
	foreach($rows as $row) {
		$name =$row->name;
		if( $user->$name == NULL ) {
			$count++;
		}
		$totalcount++;
	}
	
	$count = $totalcount-$count;
	
	$prozent = round($count*100/$totalcount);
	
	$show_module= $params->get("show_module", 0 );
	$result = "";
	if(  ( $prozent < 100 ) || ( $prozent == 100 && $show_module == 0) ) {
		$width 		= $params->get("progressbar_width", 150);
		$height		= $params->get("progressbar_height", 20);
		$blocks 	= $params->get("progressbar_blocks", 15);
	
		$blub		= round(($prozent * $blocks) / 100); // ;)
			
		$editurl = sefRelToAbs("index.php?option=com_comprofiler&Itemid=26&task=userDetails");
		
		$result  = '<div id="'.$modulname.'">';
		$result .= '<p class="'.$modulname.'_title">'. _MOD_S4JPSI_PROFILE_COMPLETENESS . '&nbsp;'. $prozent .'%</p>';
		$result .= '<table class="'.$modulname.'_progressbar" cellspacing="1" cellpadding="1" style="height:'.$height.'px;width:'.$width.'px;">';
		$result .= '<tr>';
		for( $i=0; $i<= $blocks; $i++) {
			if( $i <= $blub )  {
				$result .='<td class="'.$modulname.'_complete">&nbsp;</td>';
			} else {
				$result .='<td>&nbsp;</td>';
			}
		}
		$result .= '</tr></table><p></p>';
		if( $params->get( "show_updatelink", 1) == 1 ) {
			$result .= '<span class="'.$modulname.'_footer">'. _MOD_S4JPSI_COMPLETE_YOUR_PROFILE .' &nbsp;<a href="'.$editurl.'">'. _MOD_S4JPSI_PROFILE_UPDATE .'</a></span>';
		}
		$result .= '</div>';	
	}
	echo $result;
}

?>
